@import '../../../theme';

$bevelAngle: 10px;

.left-side-border {
  display: flex;
  .parameters-font{
    background-color: #606580;;
  }
  .parameters{
    background-color: #20222e;
    text-align: left;
    margin: 1px 0 1px 1px;
    padding: 10px 10px 12px 10px;
    width: 140px;

    .up {
      display: flex;
      margin-top: 5px;
      p.value{
        color: white;
        margin: 3px 10px 0 0;
        font-size: 20px;
      }
      p.percentage{
        margin: 3px 10px 0 0;
      }
      .success{
        color: $color-success;
      }
      .warning{
        color: $color-warning;
      }
    }

    p.pkm{
      color: #BCE4FA;
      margin-top: 8px;
      margin-bottom: 3px;
    }

  }
  .graph{
    height: inherit;
    max-width: 85px;
    position: relative;
    right: 45px;
    z-index: 1;
  }

::ng-deep{
  .arc__back{
    fill: rgb(140, 153, 178);
    stroke: rgb(140, 153, 178);
    stroke-width: 6px;
}

  .arc__unit{
    fill: white;
  }
  .warning{
    .arc__unit{
    fill: $color-warning !important;
    }
  }
}

}

.shadow {
  clip-path: polygon(
      0% $bevelAngle,
      $bevelAngle 0%,
      100%  0%,
      100% $bevelAngle,
      100% 100%,
      100% 100%,
      $bevelAngle 100%,
      0% calc(100% - #{$bevelAngle})
  );

}
